<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>TIOVX User Guide: tivx_error_t Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<img src="ti_logo.gif">
<tr bgcolor="#CCCCCC"> 
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<!-- Generated by Doxygen 1.6.1 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>tivx_error_t Struct Reference<br/>
<small>
[<a class="el" href="group__group__vx__error.html">Error APIs</a>]</small>
</h1><!-- doxytag: class="tivx_error_t" --><hr/><a name="_details"></a><h2>Detailed Description</h2>
<p>The internal representation of the error object. </p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Data Fields</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="structtivx__reference__t.html">tivx_reference_t</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__error__t.html#a2962ef2969e2140f58acfeaca942b753">base</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The "base" reference object.  <a href="#a2962ef2969e2140f58acfeaca942b753"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a64df90a05ff50c048d65ab77bc60e4f0">vx_status</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__error__t.html#a03171aca76dff425378ee9a93f699874">status</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The specific error code contained in this object.  <a href="#a03171aca76dff425378ee9a93f699874"></a><br/></td></tr>
</table>
<hr/><h2>Field Documentation</h2>
<a class="anchor" id="a2962ef2969e2140f58acfeaca942b753"></a><!-- doxytag: member="tivx_error_t::base" ref="a2962ef2969e2140f58acfeaca942b753" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structtivx__reference__t.html">tivx_reference_t</a> <a class="el" href="structtivx__error__t.html#a2962ef2969e2140f58acfeaca942b753">tivx_error_t::base</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>The "base" reference object. </p>

</div>
</div>
<a class="anchor" id="a03171aca76dff425378ee9a93f699874"></a><!-- doxytag: member="tivx_error_t::status" ref="a03171aca76dff425378ee9a93f699874" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vx__types_8h.html#a64df90a05ff50c048d65ab77bc60e4f0">vx_status</a> <a class="el" href="structtivx__error__t.html#a03171aca76dff425378ee9a93f699874">tivx_error_t::status</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>The specific error code contained in this object. </p>

</div>
</div>
</div>

<html>
<table bordercolor="#FFFFFF" bgcolor="#FFFFFF" width="100%">
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000"><b><i>
        &copy Copyright 2017 Texas Instruments Incorporated. All rights reserved. </i></b></font></td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000">
        Document generated by <b><i> doxygen </i></b> 1.6.1
  </font></td>
</tr>
</table>
